/**
 * Editor support for BQN.
 */
import * as Autocomplete from "@codemirror/autocomplete";
import { HighlightStyle, LRLanguage, LanguageSupport } from "@codemirror/language";
import * as State from "@codemirror/state";
import { Tag } from "@lezer/highlight";
export declare let highlightLight: HighlightStyle;
export declare let highlightDark: HighlightStyle;
export declare let language: LRLanguage;
export declare type Glyph = {
    glyph: string;
    key: string | null;
    tag: Tag;
    title: string;
};
export declare let glyphs: Glyph[];
export declare let glyphsMap: Map<string, Glyph>;
export declare let keymap: Map<string, Glyph>;
export declare function highlight(highlight: HighlightStyle, textContent: string): HTMLElement[];
declare type ValueType = "array" | "number" | "character" | "function" | "1-modifier" | "2-modifier" | "namespace";
declare type SysItem = {
    name: string;
    type: ValueType;
};
declare type ListSys = (ns: string | null, state: State.EditorState) => Promise<SysItem[]>;
export declare let sysCompletion: (listSys: ListSys) => Autocomplete.CompletionSource;
/**
 * Configure extension for BQN.
 */
export declare function bqn(cfg?: {
    sysCompletion?: ListSys;
}): LanguageSupport;
export {};
